Server
os
Host machine status and operating system actions.
Get server RAM details
GET
Authenticated
Returns current memory usage.
Request URL
https://api.creeper.host/os/getramHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"free": 8319,
"used": 69,
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Get server HDD details
GET
Authenticated
Returns current hard disk usage.
Request URL
https://api.creeper.host/os/gethddHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"free": 47443608,
"used": 4027364,
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Get server CPU details
GET
Authenticated
Returns current CPU usage.
Request URL
https://api.creeper.host/os/getcpuHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"free": 99.8,
"used": 0.2,
"cron": 1,
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Get server SSD details
GET
Authenticated
Returns current disk usage through the SSD alias.
Request URL
https://api.creeper.host/os/getssdThis is an alias for os/gethdd and returns the same data.
Headers
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"free": 47249692,
"used": 4221280,
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Get server network details
GET
Authenticated
Returns current network receive and transmit counters.
Request URL
https://api.creeper.host/os/getnetHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"rx": 1920,
"tx": 91360,
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Get server processes
GET
Authenticated
Lists running server processes.
Request URL
https://api.creeper.host/os/getprocessesHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"processes": [
{
"user": "root",
"pid": "1",
"cpu": "0.1",
"ram": "0.0"
}
],
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Check for server updates
GET
Authenticated
Checks whether supported operating system updates are available.
Request URL
https://api.creeper.host/os/systemupdateHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"message": "Your operating system is currently running the latest supported software.",
"updates": null,
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Restart server
GET
Authenticated
Power cycles the server.
Request URL
https://api.creeper.host/os/restartHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"message": "Your server has been restarted.",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Create SSH key
GET
Authenticated
Generates a temporary SSH key for server access.
Request URL
https://api.creeper.host/os/generatekeysHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"key": "RSA style key file",
"public": null,
"expires": 1493388746,
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Invalidate SSH key
GET
Authenticated
Invalidates the previous generated SSH key.
Request URL
https://api.creeper.host/os/invalidatekeysHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"message": "Your previous SSH key has been invalidated.",
"endPoint": "aries-production-59c48bc84-hpqw4"
}